if select(2,UnitClass("player")) ~= "MONK" then return end

local SpellIDs = MonkTimers.SpellIDs
local LSM = LibStub:GetLibrary("LibSharedMedia-3.0", true)

local Settings = {

		
	--[[ StaggerHeight = 
        function(value, Timers)
            MonkTimers.stagger:SetHeight(value)
            MonkTimers.stagger.background:SetHeight(value)
            MonkTimers.staggerButton:SetHeight(value)
            MonkTimers.stagger.icon:SetWidth(value)
            MonkTimers.stagger.icon:SetHeight(value)
            local font = MonkTimers.stagger.text:GetFont()
            local outline
            if Timers[1].timerOnButton then outline = "OUTLINE" end
    		MonkTimers.stagger.text:SetFont(font, value*0.7, outline)
        end, ]]
		
	ChiBarSize =
		function(value, Timers)
			--MonkTimersHarmonyBar:SetScale(value)
		end,
		
		
	ChiBar =
		function(value, Timers)
			MonkTimersHarmonyBar.active = value
			MonkTimersHarmonyBar:SetAttribute("active", value)
			if (value) then
				MonkTimersHarmonyBar:Show()
				MonkTimersHarmonyBar:RegisterEvent("PLAYER_REGEN_ENABLED")
				MonkTimersHarmonyBar:RegisterEvent("PLAYER_REGEN_DISABLED")
				MonkTimersHarmonyBar:RegisterEvent("PET_BATTLE_OPENING_START")
				MonkTimersHarmonyBar:RegisterEvent("PET_BATTLE_CLOSE")
				--MonkTimersHarmonyBar:RegisterEvent("UNIT_ENTERED_VEHICLE")
				--MonkTimersHarmonyBar:RegisterEvent("UNIT_EXITED_VEHICLE")
				--MonkTimersHarmonyBar:RegisterUnitEvent("UNIT_POWER_FREQUENT", "player")
				local role = GetSpecialization()
				if role == 3 then
					MonkTimersHarmonyBar:RegisterUnitEvent("UNIT_POWER_FREQUENT", "player")
					MonkTimersHarmonyBar:RegisterUnitEvent("UNIT_MAXPOWER", "player")
					for i = 1, #MonkTimers.harmonyBar.LightEnergy do
						MonkTimersHarmonyBar.LightEnergy[i]:Show()
					end
				else
					for i = 1, #MonkTimersHarmonyBar.LightEnergy do
						MonkTimersHarmonyBar.LightEnergy[i]:Hide()
					end
				end
				if role == 1 or role == 3 then
					MonkTimersHarmonyBarEnergyBar:SetStatusBarColor(0.8,0.8,0,0.8)
					local maxpower = UnitPowerMax("player", SPELL_POWER_ENERGY)
					MonkTimersHarmonyBarEnergyBar:SetMinMaxValues(0,maxpower)
					MonkTimersHarmonyBar.powerType = SPELL_POWER_ENERGY			
				else
					MonkTimersHarmonyBarEnergyBar:SetStatusBarColor(0,0,1,0.8)
					local maxpower = UnitPowerMax("player", SPELL_POWER_MANA)
					MonkTimersHarmonyBarEnergyBar:SetMinMaxValues(0,maxpower)
					MonkTimersHarmonyBar.powerType = SPELL_POWER_MANA
				end
			else
				MonkTimersHarmonyBar:Hide()
				MonkTimersHarmonyBar:UnregisterAllEvents()
			end
		end,
		
	 StaggerBar =
		function(value, Timers)
			local stagger = MonkTimers.stagger
			if value and IsPlayerSpell(SpellIDs.Stagger) then
				stagger:RegisterUnitEvent("UNIT_AURA", "player")
				stagger:RegisterEvent("PLAYER_REGEN_ENABLED")
				stagger:RegisterEvent("PLAYER_REGEN_DISABLED")
				stagger:Show()
				if not InCombatLockdown() and XiTimers.ActiveProfile.HideTimersOOC then 
					stagger:Hide()
				end
				stagger:SetMinMaxValues(0, 100)
				stagger.background:SetMinMaxValues(0, 100)
				stagger.background:SetValue(100)
				stagger.background:Show()
				stagger.background:SetStatusBarColor(0,1,0,0.3)
				stagger.active = true
				stagger:SetAttribute("active", true)
			else
				stagger.active = false
				stagger:SetAttribute("active", false)
				stagger:UnregisterAllEvents()
				stagger:Hide()
			end
		end,
		
	StaggerSize =
		function(value, Timers)
			MonkTimers.stagger:SetScale(value)
		end,
		
	StaggerWidth =
		function(value, Timers)
			MonkTimers.stagger:SetWidth(value)
			MonkTimers.stagger.background:SetWidth(value)
		end,
		
	PowerBarFontSize =
		function(value)
			MonkTimersHarmonyBarEnergyBar.text:SetTextHeight(value)
		end,
		
	StaggerFontSize =
		function(value)
			MonkTimers.stagger.text:SetTextHeight(value)
		end,
		
	PowerBarTexture =
		function(value)
			local stagger = MonkTimers.stagger
			local texture = LSM:Fetch("statusbar", value)
			stagger:SetStatusBarTexture(texture)
			stagger.background:SetStatusBarTexture(texture)
			MonkTimersHarmonyBarEnergyBar:SetStatusBarTexture(texture)
		end,
		
	PowerBarFont = 
		function(value)
			local font = LSM:Fetch("font", value)
			if font then
				MonkTimers.stagger.text:SetFont(font, XiTimers.ActiveProfile.StaggerFontSize) 
				MonkTimersHarmonyBarEnergyBar.text:SetFont(font, XiTimers.ActiveProfile.PowerBarFontSize)					
			end
		end,
}

for k,v in pairs(Settings) do
	XiTimers.Settings[k] = v
end




XiTimers.DefaultProfile.buttons = {
	["MONK"] = {
		{
			nil, -- [1]
			nil, -- [2]
			{
				["id"] = 100784,
				["type"] = "spell",
			}, -- [3]
			{
				["id"] = 115181,
				["type"] = "spell",
			}, -- [4]
			{
				["id"] = 121253,
				["type"] = "spell",
			}, -- [5]
			{
				["id"] = 119582,
				["type"] = "spell",
			}, -- [6]
			{
				["id"] = 115308,
				["type"] = "spell",
			}, -- [7]
			[13] = {
				["id"] = 116841,
				["type"] = "spell",
			},
			[35] = {
				["id"] = 115399,
				["type"] = "spell",
			},
			[37] = {
				["id"] = 115176,
				["type"] = "spell",
			},
			[39] = {
				["id"] = 115203,
				["type"] = "spell",
			},
			[15] = {
				["id"] = 123986,
				["type"] = "spell",
			},
			[16] = {
				["id"] = 115546,
				["type"] = "spell",
			},
			[17] = {
				["id"] = 218164,
				["type"] = "spell",
			},
			[34] = {
				["id"] = 115315,
				["type"] = "spell",
			},
			[36] = {
				["id"] = 132578,
				["type"] = "spell",
			},
			[38] = {
				["id"] = 122783,
				["type"] = "spell",
			},
			[40] = {
				["id"] = 115078,
				["type"] = "spell",
			},
			[14] = {
				["id"] = 116705,
				["type"] = "spell",
			},
		}, -- [1]
		{
			[13] = {
				["id"] = 116841,
				["type"] = "spell",
			},
			[7] = {
				["id"] = 197945,
				["type"] = "spell",
			},
			[14] = {
				["id"] = 198898,
				["type"] = "spell",
			},
			[39] = {
				["id"] = 122278,
				["type"] = "spell",
			},
			[15] = {
				["id"] = 116849,
				["type"] = "spell",
			},
			[16] = {
				["id"] = 115310,
				["type"] = "spell",
			},
			[17] = {
				["id"] = 197908,
				["type"] = "spell",
			},
			[18] = {
				["id"] = 107428,
				["type"] = "spell",
			},
			[38] = {
				["id"] = 198664,
				["type"] = "spell",
			},
			[40] = {
				["id"] = 115078,
				["type"] = "spell",
			},
			[6] = {
				["id"] = 115450,
				["type"] = "spell",
			},
			[5] = {
				["id"] = 116680,
				["type"] = "spell",
			},
			[4] = {
				["id"] = 115151,
				["type"] = "spell",
			},
		}, -- [2]
		{
			[19] = {
				["id"] = 119381,
				["type"] = "spell",
			},
			[13] = {
				["id"] = 116841,
				["type"] = "spell",
			},
			[7] = {
				["id"] = 115098,
				["type"] = "spell",
			},
			[14] = {
				["id"] = 101545,
				["type"] = "spell",
			},
			[39] = {
				["id"] = 122470,
				["type"] = "spell",
			},
			[15] = {
				["id"] = 116705,
				["type"] = "spell",
			},
			[8] = {
				["id"] = 152175,
				["type"] = "spell",
			},
			[16] = {
				["id"] = 137639,
				["type"] = "spell",
			},
			[17] = {
				["id"] = 115288,
				["type"] = "spell",
			},
			[5] = {
				["id"] = 107428,
				["type"] = "spell",
			},
			[36] = {
				["id"] = 123904,
				["type"] = "spell",
			},
			[38] = {
				["id"] = 115080,
				["type"] = "spell",
			},
			[40] = {
				["id"] = 115078,
				["type"] = "spell",
			},
			[6] = {
				["id"] = 113656,
				["type"] = "spell",
			},
			[37] = {
				["id"] = 122278,
				["type"] = "spell",
			},
			[18] = {
				["id"] = 218164,
				["type"] = "spell",
			},
		}, -- [3]
	},
}

XiTimers.DefaultProfile.Anchors = {
	["MonkTimers_StaggerBar"] = {
		["scale"] = 0.833333313465118,
		["xOffset"] = 2.25884032249451,
		["yOffset"] = -96.3766250610352,
	},
	["XiTimersBar5"] = {
		["xOffset"] = -139.500579833984,
		["yOffset"] = -107.200149536133,
		["pointTo"] = "RIGHT",
		["pointFrom"] = "RIGHT",
	},
	["XiTimersBar1"] = {
		["xOffset"] = -5.835711635882040e-005,
		["yOffset"] = -107.199638366699,
	},
	["XiTimersBar3"] = {
		["pointTo"] = "LEFT",
		["pointFrom"] = "LEFT",
		["xOffset"] = 139.95573425293,
		["yOffset"] = -73.067367553711,
	},
	["MonkTimersHarmonyBar"] = {
		["pointFrom"] = "CENTER",
		["xOffset"] = 0,
		["scale"] = 0.75,
		["pointTo"] = "CENTER",
		["yOffset"] = -233.1025390625,
	},
	["XiTimersBar4"] = {
		["xOffset"] = 139.900344848633,
		["yOffset"] = -107.199821472168,
		["pointTo"] = "LEFT",
		["pointFrom"] = "LEFT",
	},
	["XiTimersBar2"] = {
		["xOffset"] = 4.66856909042690e-005,
		["yOffset"] = -143.467163085938,
	},
}

XiTimers.DefaultProfile.ChiBar = true
XiTimers.DefaultProfile.ManaBar = true
XiTimers.DefaultProfile.StaggerBar = true
XiTimers.DefaultProfile.ChiBarSize = 0.75
XiTimers.DefaultProfile.StaggerSize = 1
XiTimers.DefaultProfile.StaggerWidth = 100
XiTimers.DefaultProfile.StaggerFontSize = 10
XiTimers.DefaultProfile.PowerBarFontSize = 12

